Subject: bug#12135: 24.1.50; compatibility between compiled files in emacs-24.1 and 24.2

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 08 Aug 2012 18:08:16 +0200

Thanks to look into this.

Stefan Monnier <[email-masked]> writes:

>>> Yes, and these files should work correctly under Emacs-24.2 (at least
>>> I did try to preserve this compatibility).
>> No, they don't either, try it.
>
> Indeed, I see that C-x c M-x doesn't work when compiled with Emacs-24.1
> and run with the trunk.
> But since we don't get any error message, I'm not sure where to start
> looking for the cause.  You pointed the finger at flet, so maybe you
> have some idea (or gut feeling)?
I think at flet because there is no reason that the other part of the
code don't work. (but I may be wrong)
Just try M-x instead of C-x c M-x, type helm- and you will have your
completion.
The only thing that differ is there is no help with C-z in M-x.

> I did see that compiling all files with Emacs-24.1 (or Emacs-23) and
> then recompiling helm-command.el with Emacs trunk makes the C-x c M-x
> test case work again under trunk, so the problem seems to be somewhere
> in helm-command.elc.
>
> Maybe there an error is signalled but is then silenced by one of the
> many ignore-errors?  If so, would you have some idea as to which
> ignore-errors could be turned into with-demoted-errors to try and make
> an error message appear?
Hmm! No, AFAIK there is no ignore-errors involved here. 
>         Stefan

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997